Uploaded image for project: 'Sync 2'
  1. Sync 2
  2. SYNCT-295

FHIR - support of OpenMRS 1.x

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: Must
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: Milestone 4
    • Labels:
    • Complexity:
      Undetermined
    • Sprint:
      Sync 2.0 Sprint 13, Sync 2.0 Sprint 14, Sync 2.0 Sprint 16

      Description

      Add possibility to use the FHIR module with Openmrs 1.9.10, 1.11.x and 2.0.5 (currently supported). In addition currently the module is based on the Java 8 but the OpenMRS 1.9.10 required Java 7.

      The OpenMRS 1.9.10 used the Spring 3.0.5 and OpenMRS 2.0.5 used 4.1.4. Between these versions of Spring were some changes. The code should be adjusted to use the Spring 3.0.5.

      Between versions of OpenMRS platform were some backward incompatible changes. The FHIR module should support different versions of entity depending on the OpenMRS version. This link could be useful:
      https://wiki.openmrs.org/display/docs/Supporting+different+OpenMRS+versions

      Acceptance criteria:

      • support of OpenMRS versions: 1.9.10, 1.11.x, 2.0.5
      • the Java 7 used

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              alalo Arkadiusz Lalo
              Reporter:
              alalo Arkadiusz Lalo
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - 3 days Original Estimate - 3 days
                  3d
                  Remaining:
                  Remaining Estimate - 0 minutes
                  0m
                  Logged:
                  Time Spent - 1 week, 1 day, 1 hour, 30 minutes
                  1w 1d 1h 30m